API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

PATCH
/applications/{uuid}/envs

Update env by application UUID.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the application.

Request Body

application/json

Env updated.

TypeScript Definitions

Use the request body type in TypeScript.

key*string

The key of the environment variable.

value*string

The value of the environment variable.

is_preview?boolean

The flag to indicate if the environment variable is used in preview deployments.

is_literal?boolean

The flag to indicate if the environment variable is a literal, nothing espaced.

is_multiline?boolean

The flag to indicate if the environment variable is multiline.

is_shown_once?boolean

The flag to indicate if the environment variable's value is shown on the UI.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/applications/string/envs" \  -H "Content-Type: application/json" \  -d '{    "key": "string",    "value": "string"  }'
{  "id": 0,  "uuid": "string",  "resourceable_type": "string",  "resourceable_id": 0,  "is_literal": true,  "is_multiline": true,  "is_preview": true,  "is_runtime": true,  "is_buildtime": true,  "is_shared": true,  "is_shown_once": true,  "key": "string",  "value": "string",  "real_value": "string",  "comment": "string",  "version": "string",  "created_at": "string",  "updated_at": "string"}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}